Contacts API
POST/api/v1/contacts/{id}/avatar
Product availabilityAlgaPSAAlgaDesk

Upload contact avatar

Replaces the contact's avatar from the multipart form field `avatar`. Same storage path as the web contact page.

RBAC · contact

Path parameters

idstring <uuid>Required

Request body

Content type: application/json

avatarstringRequired
Multipart file field name expected by controller: avatar.

Response body

Success response 200 · schema ContactAvatarResult

dataobjectRequired
successbooleanRequired
messagestringRequired
avatarUrlstringNullable

Response codes

200
Avatar stored.
400
Missing file or invalid id.
401
API key missing/invalid or key user not found.
403
Permission denied for contact update.
404
Contact not found.
500
Unexpected avatar upload failure.